#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ShellCheck
version: 0.4.7
id: ShellCheck-0.4.7-9HxvFE33WgBCjeSQx4L2Pe
key: ShellCheck-0.4.7-9HxvFE33WgBCjeSQx4L2Pe
license: GPL-3
maintainer: vidar@vidarholen.net
homepage: http://www.shellcheck.net/
synopsis: Shell script analysis tool
description:
    The goals of ShellCheck are:
    .
    * To point out and clarify typical beginner'\''s syntax issues,
    that causes a shell to give cryptic error messages.
    .
    * To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.
    .
    * To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user'\''s otherwise working script to fail under future circumstances.
category: Static Analysis
author: Vidar Holen
exposed: True
indefinite: False
exposed-modules:
    ShellCheck.AST ShellCheck.ASTLib ShellCheck.Analytics
    ShellCheck.Analyzer ShellCheck.AnalyzerLib ShellCheck.Checker
    ShellCheck.Checks.Commands ShellCheck.Checks.ShellSupport
    ShellCheck.Data ShellCheck.Formatter.CheckStyle
    ShellCheck.Formatter.Format ShellCheck.Formatter.GCC
    ShellCheck.Formatter.JSON ShellCheck.Formatter.TTY
    ShellCheck.Interface ShellCheck.Parser ShellCheck.Regex
hidden-modules: Paths_ShellCheck
abi: bb57ed30142a501489f810022c13d6b5
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/ShellCheck-0.4.7
library-dirs: /usr/lib/ghc-8.2.2/site-local/ShellCheck-0.4.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/ShellCheck-0.4.7
hs-libraries: HSShellCheck-0.4.7-9HxvFE33WgBCjeSQx4L2Pe
depends:
    base-4.10.1.0 containers-0.5.10.2 directory-1.3.0.2
    json-0.9.1-2H3aMSRsCE9JL2qhjU3oOm mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    parsec-3.1.11-4HFX6l6YojG1oyYQULsuQ1
    regex-tdfa-1.2.2-LXrPID2GWRYz5rkILVGL8
    QuickCheck-2.10.1-BUFYQzp5Pjm7JbQeTzW89l process-1.6.1.0
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             json-0.9.1-2H3aMSRsCE9JL2qhjU3oOm=e291143e284fd9948e16a50e6dc224bb
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=1e76d6f7019a4b5c8c222b2fbbb06681
             parsec-3.1.11-4HFX6l6YojG1oyYQULsuQ1=ac5e6b578591765d59beabaa71c9486d
             regex-tdfa-1.2.2-LXrPID2GWRYz5rkILVGL8=49cee3c3b864e7a4b170da8a226077c5
             QuickCheck-2.10.1-BUFYQzp5Pjm7JbQeTzW89l=12616b561aced170e61d60f985fc5a23
             process-1.6.1.0=df30c64bceb5deb119c7833d040aa380
haddock-interfaces: /usr/share/doc/shellcheck/html/ShellCheck.haddock
haddock-html: /usr/share/doc/shellcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

